Skip to main content
GET
/
api
/
{projectId}
/
optimize
/
space
Search space
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/space \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/space"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/space', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "impulse": [
    {
      "inputBlocks": [
        {}
      ],
      "dspBlocks": [
        {}
      ],
      "learnBlocks": [
        [
          {}
        ]
      ],
      "parameters": {}
    }
  ],
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

impulse
object[]
required

List of impulses specifying the EON Tuner search space

error
string

Optional error description (set if 'success' was false)